%global debug_package %{nil}

Name:       ndhep
Version:	0.1.0
Release:	0.1.rc2%{?dist}
Summary:	N Dimensional High Energy Physics tool
Group:		System Environment/Libraries
License:	LGPL v3+
Source0:    %{name}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  cmake, doxygen
BuildRequires:  spdlog-devel
BuildRequires:  fmt-devel
BuildRequires:  spdlog-devel
BuildRequires:  gtest-devel
BuildRequires:  yaml-cpp-devel
BuildRequires:  ndm-devel
%if 0%{?rhel} == 7 || 0%{?el7} == 1
BuildRequires: protobuf3-devel
%else
BuildRequires: protobuf-devel
%endif

BuildRequires:  root, root-geom, root-physics
Requires:       root

%description
N Dimensional High Energy Physics tool

%package devel
Summary:  Development files and static library for the ndhep
Group:    Development/Libraries
Requires: %{name} = %{version}-%{release}, pkgconfig

%description devel
This package contains ndhep related development libraries and header files.

%package doc
Summary:  Documentation
Group:    Documentation
Requires: %{name} = %{version}-%{release}, pkgconfig

%description doc
This package contains ndhep documentation.

%prep
%setup -q

%build
mkdir build
cd build
cmake ../ -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_BUILD_TYPE=Release -DBUILD_DOCUMENTATION=on
make %{?_smp_mflags}
cd ../

%install
rm -rf %{buildroot}
cd build
make install DESTDIR=%{buildroot}
cd ../

%check
cd build
make test

%files
%{_bindir}/*
%{_libdir}/*.so
%{_libdir}/*.rootmap
%{_libdir}/*.pcm

%files devel
%defattr(-,root,root,-)
%{_includedir}/*

%files doc
%doc /usr/share/doc/%{name}/

%changelog
